<?php
/****************************************************************************\
* TaskFreak!                                                                 *
* single user                                                                *
******************************************************************************
* Version: 0.5                                                               *
* Release date: 2 January 2006                                               *
* Authors: Stan Ozier <stan@tirzen.net>                                      *
* License:  http://www.gnu.org/licenses/gpl.txt (GPL)                        *
******************************************************************************
* This file is part of "TaskFreak! single user" program.                     *
*                                                                            *
* TaskFreak! single user is free software; you can redistribute it and/or    *
* modify it under the terms of the GNU General Public License as published   *
* by the Free Software Foundation; either version 2 of the License, or (at   *  
* your option) any later version.                                            *
*                                                                            *
* TaskFreak! single user is distributed in the hope that it will be          *
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of     *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
* GNU General Public License for more details.                               *
*                                                                            *
* You should have received a copy of the GNU General Public License          *
* along with this program; if not, write to the Free Software                *
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA *
\****************************************************************************/

include 'config.php';
include PRJ_ROOT_PATH.'language/lg_'.FRK_LANGUAGE.'.php';
include PRJ_CLASS_PATH.'tzn_generic.php';
include PRJ_CLASS_PATH.TZN_DB_CLASS;
include PRJ_CLASS_PATH.'pkg_freak.php';


// --- LOAD TASKS -----------------------------------------------
$objItemList = new Task();
if ($_REQUEST['sProject']) {
	$pProject = (get_magic_quotes_gpc())?
		stripslashes($_REQUEST['sProject']):$_REQUEST['sProject'];
	$objItemList->addWhere('project = \''.addslashes($pProject).'\'');
}
if ($_REQUEST['sContext']) {
	$pContext = $_REQUEST['sContext'];
	$objItemList->addWhere('context = \''.$pContext.'\'');
}

$sqlFilter = '';
$pShow = ($_REQUEST['show'])?$_REQUEST['show']:'today';

if (@constant('FRK_NO_DEADLINE_TOO')) {
	$sqlToday = ' OR deadlineDate = \'9999-00-00\'';
	$sqlFuture = ' AND deadlineDate <> \'9999-00-00\'';
} else {
	$sqlFuture = ' OR deadlineDate = \'9999-00-00\'';
	$sqlToday = ' AND deadlineDate <> \'9999-00-00\'';
}

switch ($pShow) {
	case 'all':
		break;
	case 'future':
		// show coming tasks and late tasks (undone only)
		$sqlFilter = '((deadlineDate >= \''
			.strftime(TZN_DATE_SQL,PRJ_DTE_NOW).'\' AND status < '
			.FRK_STATUS_LEVELS.')'.' OR status < '.FRK_STATUS_LEVELS.')'
			.$sqlFuture;
		break;
	case 'past':
		// show past tasks and already done
		$sqlFilter = '(deadlineDate <= \''
			.strftime(TZN_DATE_SQL,PRJ_DTE_NOW).'\' OR status = '
			.FRK_STATUS_LEVELS.')';
		break;
	case 'today':
		// show all future tasks (done + undone) and late tasks
		$sqlFilter = '(deadlineDate >= \''
			.strftime(TZN_DATE_SQL,PRJ_DTE_NOW).'\' OR status < '
			.FRK_STATUS_LEVELS.')'.$sqlToday;
		break;
	default:
		break;
}

if ($sqlFilter) {
	$objItemList->addWhere('('.$sqlFilter.')');
}

if ($pShow == 'past') {
	// past items from recent to old
	$objItemList->addOrder('deadlineDate DESC, priority ASC');
} else {
	// coming items from old to new ones
	$objItemList->addOrder('deadlineDate ASC, priority ASC');
}
$objItemList->loadList();

// --- LOAD PROJECTS --------------------------------------------
$objProjectList = new Project();
$objProjectList->addWhere("project <> ''");
$objProjectList->loadList();


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
    <title>TaskFreak!</title>
    <link href="freak.css" rel="stylesheet" type="text/css" />
	<!--[if gte IE 5.5]>
	<![if lt IE 7]>
	<style type="text/css">
	div#header {
		position: absolute;
		left: expression( ( 0 + ( ignoreMe2 = document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scrollLeft ) ) + 'px' );
		top: expression( ( 0 + ( ignoreMe = document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop ) ) + 'px' );
	}
	</style>
	<![endif]>
	<![endif]-->
	<link href="priority<?php echo FRK_PRIORITY_LEVELS; ?>.css" rel="stylesheet" type="text/css" />
	<link href="context.css" rel="stylesheet" type="text/css" />
	<style type="text/css">
	<?php if (@constant('FRK_CONTEXT_LONG')) { ?>
	table.sheet td.ctxt {
		font-size: x-small;
	}
	<?php } else { ?>
	table.sheet td.ctxt {
		text-align: center;
	}
	table.sheet td.ctxt span {
		font-family: "Courier New", Courier, monospace;
		font-size: 10px;
		color: #fff;
		text-align: center;
		padding: 2px 4px 1px 4px;
		width: 14px;
	}
	<?php } ?>
	</style>
	<script type="text/javascript" language="JavaScript" src="cpaint/cpaint2.inc.compressed.js"></script>
	<script type="text/javascript" language="JavaScript" src="freak.js"></script>
	<script type="text/javascript" language="Javascript" src="autosuggest.js"></script>
</head>
<body>
  <form name="zappa" action="index.php" method="POST" id="zappa">
	<input type="hidden" name="sProject" value="<?php echo $pProject; ?>" />
	<input type="hidden" name="id" value="<?php echo $objEditItem->id; ?>" />
	<input type="hidden" name="show" value="<?php echo $pShow; ?>" />
	<?php
		if (@constant('FRK_CONTEXT_ENABLE')) {
	?>
	<input type="hidden" name="sContext" value="<?php echo $pContext; ?>" />
	<?php
		}
	?>
	<input type="hidden" name="mode" value="save" />
    <div id="header">
      <div id="header2">
    	<div id="menu">
          <ul id="nav" class="level0">
            <li><?php echo $arrLanguageMenu['view']; ?>
              <ul class="level1">
                <li><a href="?" accesskey="l"><?php echo $arrLanguageMenu['all_projects']; ?></a>
                  <ul>
                    <li><a href="?show=future" accesskey="f"><?php echo $arrLanguageMenu['future_tasks']; ?></a></li>
                    <li><a href="?show=past" accesskey="p"><?php echo $arrLanguageMenu['past_tasks']; ?></a></li>
                    <li><a href="?show=all" accesskey="a"><?php echo $arrLanguageMenu['all_tasks']; ?></a></li>
                  </ul>
                </li>
              <?php
             	while ($objProj = $objProjectList->rNext()) {
             		$pLink = 'index.php?sProject='.urlencode($objProj->project);
              ?>
                <li class="more"><a href="<?php echo $pLink; ?>"><?php $objProj->p('project'); ?></a>
                  <ul class="level2">
                    <li><a href="<?php echo Tzn::concatUrl($pLink,'show=future')?>"><?php echo $arrLanguageMenu['future_tasks']; ?></a></li>
                    <li><a href="<?php echo Tzn::concatUrl($pLink,'show=past')?>"><?php echo $arrLanguageMenu['past_tasks']; ?></a></li>
                    <li><a href="<?php echo Tzn::concatUrl($pLink,'show=all')?>"><?php echo $arrLanguageMenu['all_tasks']; ?></a></li>
                  </ul>
                </li>
              <?php
              	}
				if (@constant('FRK_CONTEXT_ENABLE')) {
					$pLink = 'index.php?sProject='.urlencode($pProject).'&show='.$pShow;
				?>
				<li><a href="?"><?php echo $arrLanguageMenu['all_contexts']; ?></a>
				  <ul>
				    <?php foreach($_GLOBALS['arrContexts'] as $key => $value) { ?>
					<li><a href="<?php echo Tzn::concatUrl($pLink,'sContext='.$key)?>"><?php echo $value; ?></a></li>
					<?php } ?>
				  </ul>
				</li>
				<?php
				}
				?>
                <li><a href="javascript:freak_rld()" accesskey="r"><?php echo $arrLanguageMenu['reload']; ?></a></li>
              </ul>
            </li>
          </ul>
        </div>
        <div id="logo">
          <img src="images/logostill.png" width="148" height="24" border="0" alt="task freak! (logo)" />
        </div>
      </div>
      <?php
		if ($pMessage) {
			echo '<div id="message">'.$pMessage.'</div>';
		}
	  ?>
    </div>
    <div id="container">
		<div id="content">
			<table cellpadding="2" cellspacing="1" border="0" class="sheet" width="100%">
				<thead>
					<tr>
						<th width="4%">&nbsp;</th>
						<?php
							$titleWidth = 0;
							$titleLabel = '&nbsp;';
							if (@constant('FRK_CONTEXT_ENABLE')) {
								if (@constant('FRK_CONTEXT_LONG')) {
									$titleWidth = 10;
									$titleLabel = 'Context';
								} else {
									$titleWidth = 4;
								}
						?>
						<th width="<?php echo $titleWidth; ?>%"><?php echo $titleLabel; ?></th>
						<?php
							}

						?>
						<th width="<?php echo 26-(FRK_STATUS_LEVELS * 2) ?>%"><?php echo $arrLanguageForm['project']; ?></th>
						<th width="<?php echo 60-$titleWidth; ?>%"><?php echo $arrLanguageForm['title']; ?></th>
						<th width="10%"><?php echo $arrLanguageForm['deadline']; ?></th>
						<th width="<?php echo FRK_STATUS_LEVELS * 2; ?>%" colspan="<?php echo FRK_STATUS_LEVELS ?>"><?php echo (FRK_STATUS_LEVELS == 1)?'X':$arrLanguageForm['status']; ?></th>
					</tr>
				</thead>
				<tbody>
	<?php
	if ($objItemList->rMore()) {
		while ($objItem = $objItemList->rNext()) {
			$priority = $objItem->priority;
			$context = $objItem->context;
	?>
					<tr>
						<td id="eprio<?php echo $objItem->id; ?>" class="prio"><span class="pr<?php echo $priority; ?>"><?php echo $priority; ?></span></td>
						<?php
							if (@constant('FRK_CONTEXT_ENABLE')) {
								if (@constant('FRK_CONTEXT_LONG')) {
									$context = $_GLOBALS['arrContexts'][$context];
								}
						?>
						<td id="ectxt<?php echo $objItem->id; ?>" class="ctxt"><span class="ct<?php echo $context; ?>"><?php echo $context; ?></span></td>
						<?php
							}
						?>
						<td id="eproj<?php echo $objItem->id; ?>"><?php echo $objItem->p('project','-'); ?></td>
						<td id="etitl<?php echo $objItem->id; ?>"><?php echo $objItem->p('title'); ?></td>
						<td id="edead<?php echo $objItem->id; ?>"><?php echo $objItem->pDeadline(); ?></td>
					<?php
						$s = $objItem->status;
						for ($i = 0; $i < FRK_STATUS_LEVELS; $i++) {
							$j = ($i < $s)?(FRK_STATUS_LEVELS - $i):0;
					?>
						<td id="est<?php echo ($i+1).$objItem->id; ?>" class="sts<?php echo $j; ?>">&nbsp;</td>
					<?php
						}
					?>
					</tr>
	<?php
		}
	} else {
	?>
					<tr class="nothanks">
						<td colspan="<?php echo (@constant('FRK_CONTEXT_ENABLE'))?'11':'10'; ?>">
							<p>&nbsp;</p>
							<p align="center">- <?php echo $arrLanguageMessage['no_task_found']; ?> -</p>
							<p>&nbsp;</p>
							<p>&nbsp;</p>
						</td>
					</tr>
	<?php
	}
	?>
				</tbody>
			</table>
		</div>
        <p>&nbsp;</p>
        <p>&nbsp;</p>
        <p>&nbsp;</p>
        <p>&nbsp;</p>
        <p>&nbsp;</p>
        <p>&nbsp;</p>
        <p>&nbsp;</p>
        <p>&nbsp;</p>
    </div>
  </form>
</body>
</html>
